# module Tk::Tcllib::Style

### Constants

PACKAGE_NAME

### Public Class Methods

names() click to toggle source

    # File lib/tkextlib/tcllib/style.rb, line 32
    def self.names
      Tk::Tcllib::Style.not_available
    end

not_available() click to toggle source

    # File lib/tkextlib/tcllib/style.rb, line 28
    def self.not_available
      fail RuntimeError, "'tkextlib/tcllib/style' extension is not available on your current environment."
    end

package_name() click to toggle source

    # File lib/tkextlib/tcllib/style.rb, line 16
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/style.rb, line 20
    def self.package_version
      begin
        TkPackage.require('style')
      rescue
        ''
      end
    end

use(style) click to toggle source

    # File lib/tkextlib/tcllib/style.rb, line 36
    def self.use(style)
      Tk::Tcllib::Style.not_available
    end